# Aprende Material-UI

<p class="description">¿Nuevo en Material-UI? ¡Es fácil de aprender si sabes por dónde empezar! Esta guía te ayudará a comenzar rápidamente.</p>

Developers come to Material-UI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you’ll find this section helpful. Como cualquier tecnología desconocida, Material-UI tiene su curva de aprendizaje. Con la práctica y un poco de paciencia, pronto la dominarás.

## Primer Ejemplo

La [página de práctica](/getting-started/usage/#quick-start) contiene un pequeño ejemplo de Material-UI con un editor en vivo. Incluso si aún no sabes algo acerca de Material-UI, intenta cambiar el código y ver cómo afecta el resultado.

## Proyectos de Ejemplo

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Templates

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## Recursos recomendados

Cuando comienzas a aprender Material-UI, puedes encontrar publicaciones en blogs, libros y cursos en video de terceros más útiles que la documentación oficial. Here are some recommended resources, some of which are free.

### Gratis

- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [ La publicación en el blog ](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [ Los vídeos ](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list. 
  - 📝 [ La publicación en el blog ](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [El vídeo](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [ La publicación en el blog ](https://alligator.io/react/material-ui/)

### De Pago

- **Material-UI with React**: Material-UI is an excellent framework to develop beautiful React components faster! This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **React Material-UI Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - [El Libro](https://builderbook.org/book)