# Aprenda Material-UI

<p class="description">Novo no Material-UI? É fácil de aprender, se você souber por onde começar! Este guia irá ajudá-lo a começar rapidamente.</p>

Developers come to Material-UI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you’ll find this section helpful. Como qualquer tecnologia desconhecida, o Material-UI tem uma curva de aprendizagem. Com prática e paciência, você logo vai pegar o jeito.

## Primeiro Exemplo

A [página de uso](/getting-started/usage/#quick-start) contém um pequeno exemplo de Material-UI com um editor. Mesmo que você ainda não saiba nada sobre o Material-UI, tente alterar o código e veja como isso afeta o resultado.

## Exemplos de Projetos

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Modelos

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## Recursos recomendados

Ao começar a aprender o Material-UI, você pode encontrar postagens de blogs de terceiros, livros e cursos em vídeo mais úteis do que a documentação oficial. Here are some recommended resources, some of which are free.

### Grátis

- **Meet Material-UI — your new favorite user interface library**: uma postagem de blog que o guia na construção de um Todo MVC enquanto aborda alguns conceitos importantes de Material-UI. 
  - 📝 [A postagem do blog](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: uma série de vídeos cobrindo todos os componentes importantes do Material-UI. 
  - 📹 [Os vídeos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: uma postagem de blog que orienta na criação de uma lista de cartões simples. 
  - 📝 [A postagem do blog](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [O vídeo](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: uma postagem de blog que cobre alguns conceitos importantes de Material-UI. 
  - 📝 [A postagem do blog](https://alligator.io/react/material-ui/)

### Pago

- **Material-UI with React**: Material-UI is an excellent framework to develop beautiful React components faster! This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **React Material-UI Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

- **Builder Book**: Aprenda como criar um aplicativo web totalmente com JavaScript a partir do zero, usando uma stack moderna de JavaScript e Material-UI. 
  - 📘 [O livro](https://builderbook.org/book)