# Learn Material-UI

<p class="description">New to Material-UI? It's easy to learn if you know where to start! This guide will help you to get started quickly.</p>

Developers come to Material-UI from different backgrounds and with different learning styles. Whether you prefer a more theoretical or practical approach, we hope you’ll find this section helpful.
Like any unfamiliar technology, Material-UI does have a learning curve. With practice and some patience, you will soon get the hang of it.

## First Example

The [usage page](/getting-started/usage/#quick-start) contains a small Material-UI example with a live editor.
Even if you don’t know anything about Material-UI yet, try changing the code and see how it affects the result.

## Example Projects

There are [some example projects](/getting-started/example-projects/) available, providing the infrastructure needed to develop and deploy websites in React.

## Templates

This [selection of basic templates](/getting-started/templates/) will help you get started building your app.

## Recommended resources

When first learning Material-UI, you might find third-party blog posts, books and video courses more helpful than the official documentation.
Here are some recommended resources, some of which are free.

### Free

- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI.
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components.
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list.
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts.
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### Paid

- **Material-UI with React**: Material-UI is an excellent framework to develop beautiful React components faster! This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)

- **React Material-UI Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/ref=as_li_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=1789615224&linkCode=as2&tag=oliviertassin-20&linkId=79aec1cb9db829135838614ac1953380)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI.
  - 📘 [The book](https://builderbook.org/book)
