# Suporte

<p class="description">Desde a ajuda da comunidade até o suporte essencial aos negócios, estamos aqui para ajudar.</p>

## Ajuda da comunidade

A comunidade é sua primeira parada para perguntas e conselhos sobre o framework. Bem-vindo à comunidade!

### StackOverflow <svg style="width: 24px; fill: currentColor; margin-left: 4px;" role="img" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M18.986 21.865v-6.404h2.134V24H1.844v-8.539h2.13v6.404h15.012zM6.111 19.731H16.85v-2.137H6.111v2.137zm.259-4.852l10.48 2.189.451-2.07-10.478-2.187-.453 2.068zm1.359-5.056l9.705 4.53.903-1.95-9.706-4.53-.902 1.936v.014zm2.715-4.785l8.217 6.855 1.359-1.62-8.216-6.853-1.35 1.617-.01.001zM15.751 0l-1.746 1.294 6.405 8.604 1.746-1.294L15.749 0h.002z"></path></svg>

Para questões técnicas colaborativas, conte com o apoio de desenvolvedores de Material-UI especializados em nossa comunidade. Também frequentado pela equipe principal do Material-UI.

[Poste uma pergunta](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub <svg style="width: 20px; fill: currentColor; margin-left: 4px;" role="img" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12"></path></svg>

Usamos issues do GitHub exclusivamente para rastrear bugs e solicitações de recursos. Se você acha que encontrou um bug ou tem uma nova idéia de recurso, comece certificando-se de que ele ainda não foi [relatado ou corrigido](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed). Você pode pesquisar nas issues existentes e pull requests para ver se alguém relatou algo semelhante ao seu.

[Abra uma issue](https://github.com/mui-org/material-ui/issues/new/choose)

#### Novas diretrizes para issues

- Por favor, siga o modelo de issue.
- Comece o título com '[ComponentName]', quando apropriado, e use uma descrição sucinta que ajude outras pessoas a encontrar issues semelhantes. Use o idioma padrão do projeto que é o inglês. 
  - "doesn't work" ❌
  - "[Button] Add support for <some feature>" ✅
- Não agrupe vários tópicos em uma issue - cada um deve ter sua própria issue.
- Por favor, não comente "+1" em uma issue. Isso engana os mantenedores e não ajuda a avançar com a issue. Use as reações do GitHub (👍).

### Spectrum <svg style="width: 24px; fill: currentColor; margin-left: 0px;" fill-rule="evenodd" clip-rule="evenodd" stroke-linejoin="round" stroke-miterlimit="1.414" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32" preserveAspectRatio="xMidYMid meet"><path d="M6,14.5c0,0.828 0.672,1.5 1.5,1.5l1.5,0c3.866,0 7,3.134 7,7l0,1.5c0,0.828 0.672,1.5 1.5,1.5l7,0c0.828,0 1.5,-0.672 1.5,-1.5l0,-1.5c0,-9.389 -7.611,-17 -17,-17l-1.5,0c-0.828,0 -1.5,0.672 -1.5,1.5l0,7Z"></path></svg>

Converse com a comunidade no Spectrum. Se você acha que sua thread pode ser uma pergunta do StackOverflow, acesse o StackOverflow. Bloqueamos/excluímos as perguntas que são melhor resolvidas no StackOverflow para evitar duplicatas.

[Inicie uma discussão](https://spectrum.chat/material-ui)

### Blog 📝

Mantenha-se atualizado com o desenvolvimento da biblioteca seguindo o blog.

[Leia as últimas postagens](https://medium.com/material-ui/)

### Recursos 📖

Novo no Material-UI? É fácil de aprender, se você souber por onde começar!

[Aprenda Material-UI](/getting-started/learn/)

### Twitter <svg style="width: 24px; fill: currentColor; margin-left: 4px;" role="img" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M22.46 6c-.77.35-1.6.58-2.46.69.88-.53 1.56-1.37 1.88-2.38-.83.5-1.75.85-2.72 1.05C18.37 4.5 17.26 4 16 4c-2.35 0-4.27 1.92-4.27 4.29 0 .34.04.67.11.98C8.28 9.09 5.11 7.38 3 4.79c-.37.63-.58 1.37-.58 2.15 0 1.49.75 2.81 1.91 3.56-.71 0-1.37-.2-1.95-.5v.03c0 2.08 1.48 3.82 3.44 4.21a4.22 4.22 0 0 1-1.93.07 4.28 4.28 0 0 0 4 2.98 8.521 8.521 0 0 1-5.33 1.84c-.34 0-.68-.02-1.02-.06C3.44 20.29 5.7 21 8.12 21 16 21 20.33 14.46 20.33 8.79c0-.19 0-.37-.01-.56.84-.6 1.56-1.36 2.14-2.23z" /></svg>

Receba as últimas notícias sobre Material-UI.

[Siga-nos](https://twitter.com/MaterialUI)

### Versões suportadas

O Material-UI CE (Community Edition) é 100% de código aberto (MIT) desde o início, e sempre será. Os desenvolvedores podem garantir que Material-UI seja a escolha certa para seus aplicativos React através da estratégia de manutenção da comunidade do Material-UI. A equipe do Material-UI disponibiliza regularmente novos lançamentos, correções de bugs e é muito receptiva às solicitações da comunidade.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). A comunidade de código aberto é sempre bem-vinda para enviar novos recursos e correções de erros também.

O status atual de cada versão do Material-UI é o seguinte:

- Material-UI v4 (hooks): ✅ Em desenvolvimento ativo.
- Material-UI v3 (alteração de navegadores suportados): ⚠️ Somente correções de segurança.
- ~Material-UI v2 (nunca existiu)~.
- Material-UI v1 (reescrita): ❌ Inativa.
- Material-UI v0.x: ❌ Inativa.

Para equipes e organizações que exigem suporte adicional para versões mais antigas, o Material-UI possui [opções disponíveis](#enterprise).

## Suporte profissional (Premium)

### Enterprise Edition

Acelere o desenvolvimento de aplicativos da sua empresa com uma solução segura e de longo prazo otimizada para empresas e apoiada por especialistas em Material-UI.

- **Suporte a versão de longo prazo.** LTS fornece aos desenvolvedores e organizações, estabilidade e confiabilidade adicional nos aplicativos que estão em desenvolvimento, incluindo SLAs (contratos de nível de serviço garantidos) e serviços de consultoria. Aproveite o tempo que você precisa antes de atualizar para a versão ativa mais recente do Material-UI, ou confie no suporte de longo prazo para seu aplicativo, permanecendo na versão com a qual você se sentir mais confortável. O LTS está disponível como um serviço pago, estende-se às implementações do Material-UI v1 e superior.
- **Assistência de migração de versão**.
- **Prioridade nas correções**.
- **Suporte prioritário**. Suporte a tempo e solução de problemas quando você mais precisar. Get expert help directly from the Material-UI team with guaranteed response times (next business day).

Para mais informações, [obtenha uma cotação](mailto:enterprise@material-ui.com) da nossa equipe.

### Assessoria

Incremente o desenvolvimento de sua equipe com os Serviços de Consultoria do Material-UI:

#### Assessoria ao Desenvolvedor

Tudo o que sua equipe precisa para garantir que você esteja usando o React da melhor maneira ao avaliar e desenvolver com Material-UI.

- Um canal Slack privado e dedicado, com acesso aos nossos consultores. Get real-time advice, guidance, and feedback when you need it, with live Slack access and direct private chat with Material-UI’s expert technical team.
- An initial review of your architecture and development workflow.
- Guidance on best practices that will help you take full advantage of Material-UI and prevent avoidable mistakes.

[Get a quote](mailto:advisory@material-ui.com)

#### Enterprise Advisory

A complete support package, for teams using Material-UI for critical business applications and organizations deploying Material-UI across multiple teams.

- Includes "Developer Advisory" scaled to your entire scope of work.
- A designated Technical Account Manager who understands your business requirements and proactively makes sure you’re getting everything you need.
- A designated remote consultant who works with your team through every phase of development.
- Regular, scheduled reviews.

[Get a quote](mailto:advisory@material-ui.com)

### Tidelift subscription <svg style="width: 24px; fill: currentColor; margin-left: 4px;" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 37 30.38"><g><g><path d="M16.07 0H2.77C0 0 0 0 0 2.54S0 5 2.77 5h7.91v9l5.39-4.2z"/><path d="M10.68 27.82c0 2.56 0 2.56 2.71 2.56s2.68 0 2.68-2.61V15l-5.39 4.22z"/><path d="M20.35 0h13.29C36.42 0 37 0 37 2.54S36.42 5 33.64 5h-7.9v9l-5.39-4.2z"/><path d="M25.74 27.82c0 2.56 0 2.56-2.71 2.56s-2.68 0-2.68-2.61V15l5.39 4.22z"/></g></g></svg>

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

[Get more details](https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

[Request a demo](https://tidelift.com/subscription/request-a-demo?utm_source=material_ui&utm_medium=referral&utm_campaign=enterprise)

### Custom work 🛠

Tweak Material-UI to meet specific requirements. Give us a summary of your needs; We'll help you if I can. We might:

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require Material-UI
- Decline the work due to timing or relevancy

Note that work must be Material-UI related. We don't accept general React development work. Our contracting price is $300/hour or $1,500/day.

[Send us an email](mailto:custom-work@material-ui.com)