# Paleta de Cores

<p class="description">Transmitir significado através da cor com um punhado de classes de utilitário de cor. Inclui suporte para links de estilo com estados de foco também.</p>

## Cor

{{"demo": "pages/system/palette/Color.js", "defaultCodeOpen": false}}

```jsx
<Box color="primary.main">…
<Box color="secondary.main">…
<Box color="error.main">…
<Box color="text.primary">…
<Box color="text.secondary">…
<Box color="text.disabled">…
<Box color="text.hint">…
```

## Cor de fundo

{{"demo": "pages/system/palette/BackgroundColor.js", "defaultCodeOpen": false}}

```jsx
<Box bgcolor="primary.main">…
<Box bgcolor="secondary.main">…
<Box bgcolor="error.main">…
<Box bgcolor="text.primary">…
<Box bgcolor="text.secondary">…
<Box bgcolor="text.disabled">…
<Box bgcolor="text.hint">…
```

## API

```js
import { palette } from '@material-ui/system';
```

| Nome da importação | Propriedade | Propriedade CSS   | Chave do tema                                                    |
|:------------------ |:----------- |:----------------- |:---------------------------------------------------------------- |
| `color`            | `color`     | `color`           | [`palette`](/customization/default-theme/?expend-path=$.palette) |
| `bgcolor`          | `bgcolor`   | `backgroundColor` | [`palette`](/customization/default-theme/?expend-path=$.palette) |